if (!defined &_SPARC_PGTSRMMU_H) {
    eval 'sub _SPARC_PGTSRMMU_H () {1;}' unless defined(&_SPARC_PGTSRMMU_H);
    require 'linux/config.ph';
    require 'asm/page.ph';
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
	require 'asm/ap1000/apreg.ph';
    }
    eval 'sub SRMMU_PMD_SHIFT () {18;}' unless defined(&SRMMU_PMD_SHIFT);
    eval 'sub SRMMU_PMD_SIZE () {(1 <<  &SRMMU_PMD_SHIFT);}' unless defined(&SRMMU_PMD_SIZE);
    eval 'sub SRMMU_PMD_MASK () {(~( &SRMMU_PMD_SIZE-1));}' unless defined(&SRMMU_PMD_MASK);
    eval 'sub SRMMU_PMD_ALIGN {
        local($addr) = @_;
        eval "((($addr)+ &SRMMU_PMD_SIZE-1) &SRMMU_PMD_MASK)";
    }' unless defined(&SRMMU_PMD_ALIGN);
    eval 'sub SRMMU_PGDIR_SHIFT () {24;}' unless defined(&SRMMU_PGDIR_SHIFT);
    eval 'sub SRMMU_PGDIR_SIZE () {(1 <<  &SRMMU_PGDIR_SHIFT);}' unless defined(&SRMMU_PGDIR_SIZE);
    eval 'sub SRMMU_PGDIR_MASK () {(~( &SRMMU_PGDIR_SIZE-1));}' unless defined(&SRMMU_PGDIR_MASK);
    eval 'sub SRMMU_PGDIR_ALIGN {
        local($addr) = @_;
        eval "((($addr)+ &SRMMU_PGDIR_SIZE-1) &SRMMU_PGDIR_MASK)";
    }' unless defined(&SRMMU_PGDIR_ALIGN);
    eval 'sub SRMMU_PTRS_PER_PTE () {64;}' unless defined(&SRMMU_PTRS_PER_PTE);
    eval 'sub SRMMU_PTRS_PER_PMD () {64;}' unless defined(&SRMMU_PTRS_PER_PMD);
    eval 'sub SRMMU_PTRS_PER_PGD () {256;}' unless defined(&SRMMU_PTRS_PER_PGD);
    eval 'sub SRMMU_PTE_TABLE_SIZE () {0x100;}' unless defined(&SRMMU_PTE_TABLE_SIZE);
    eval 'sub SRMMU_PMD_TABLE_SIZE () {0x100;}' unless defined(&SRMMU_PMD_TABLE_SIZE);
    eval 'sub SRMMU_PGD_TABLE_SIZE () {0x400;}' unless defined(&SRMMU_PGD_TABLE_SIZE);
    eval 'sub SRMMU_VMALLOC_START () {(0xfe300000);}' unless defined(&SRMMU_VMALLOC_START);
    eval 'sub SRMMU_ET_MASK () {0x3;}' unless defined(&SRMMU_ET_MASK);
    eval 'sub SRMMU_ET_INVALID () {0x0;}' unless defined(&SRMMU_ET_INVALID);
    eval 'sub SRMMU_ET_PTD () {0x1;}' unless defined(&SRMMU_ET_PTD);
    eval 'sub SRMMU_ET_PTE () {0x2;}' unless defined(&SRMMU_ET_PTE);
    eval 'sub SRMMU_ET_REPTE () {0x3;}' unless defined(&SRMMU_ET_REPTE);
    eval 'sub SRMMU_CTX_PMASK () {0xfffffff0;}' unless defined(&SRMMU_CTX_PMASK);
    eval 'sub SRMMU_PTD_PMASK () {0xfffffff0;}' unless defined(&SRMMU_PTD_PMASK);
    eval 'sub SRMMU_PTE_PMASK () {0xffffff00;}' unless defined(&SRMMU_PTE_PMASK);
    eval 'sub SRMMU_CACHE () {0x80;}' unless defined(&SRMMU_CACHE);
    eval 'sub SRMMU_DIRTY () {0x40;}' unless defined(&SRMMU_DIRTY);
    eval 'sub SRMMU_REF () {0x20;}' unless defined(&SRMMU_REF);
    eval 'sub SRMMU_EXEC () {0x08;}' unless defined(&SRMMU_EXEC);
    eval 'sub SRMMU_WRITE () {0x04;}' unless defined(&SRMMU_WRITE);
    eval 'sub SRMMU_VALID () {0x02;}' unless defined(&SRMMU_VALID);
    eval 'sub SRMMU_PRIV () {0x1c;}' unless defined(&SRMMU_PRIV);
    eval 'sub SRMMU_PRIV_RDONLY () {0x18;}' unless defined(&SRMMU_PRIV_RDONLY);
    eval 'sub SRMMU_CHG_MASK () {(0xffffff00 |  &SRMMU_REF |  &SRMMU_DIRTY);}' unless defined(&SRMMU_CHG_MASK);
    eval 'sub SRMMU_PAGE_NONE () { &__pgprot( &SRMMU_VALID |  &SRMMU_CACHE |  &SRMMU_PRIV |  &SRMMU_REF);}' unless defined(&SRMMU_PAGE_NONE);
    eval 'sub SRMMU_PAGE_SHARED () { &__pgprot( &SRMMU_VALID |  &SRMMU_CACHE |  &SRMMU_EXEC |  &SRMMU_WRITE |  &SRMMU_REF);}' unless defined(&SRMMU_PAGE_SHARED);
    eval 'sub SRMMU_PAGE_COPY () { &__pgprot( &SRMMU_VALID |  &SRMMU_CACHE |  &SRMMU_EXEC |  &SRMMU_REF);}' unless defined(&SRMMU_PAGE_COPY);
    eval 'sub SRMMU_PAGE_RDONLY () { &__pgprot( &SRMMU_VALID |  &SRMMU_CACHE |  &SRMMU_EXEC |  &SRMMU_REF);}' unless defined(&SRMMU_PAGE_RDONLY);
    eval 'sub SRMMU_PAGE_KERNEL () { &__pgprot( &SRMMU_VALID |  &SRMMU_CACHE |  &SRMMU_PRIV |  &SRMMU_DIRTY |  &SRMMU_REF);}' unless defined(&SRMMU_PAGE_KERNEL);
    eval 'sub SRMMU_CTRL_REG () {0x00000000;}' unless defined(&SRMMU_CTRL_REG);
    eval 'sub SRMMU_CTXTBL_PTR () {0x00000100;}' unless defined(&SRMMU_CTXTBL_PTR);
    eval 'sub SRMMU_CTX_REG () {0x00000200;}' unless defined(&SRMMU_CTX_REG);
    eval 'sub SRMMU_FAULT_STATUS () {0x00000300;}' unless defined(&SRMMU_FAULT_STATUS);
    eval 'sub SRMMU_FAULT_ADDR () {0x00000400;}' unless defined(&SRMMU_FAULT_ADDR);
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
	eval 'sub MEM_BUS_SPACE () {8;}' unless defined(&MEM_BUS_SPACE);
    }
    else {
	eval 'sub MEM_BUS_SPACE () {0;}' unless defined(&MEM_BUS_SPACE);
    }
    if ((defined(&MEM_BUS_SPACE) ? &MEM_BUS_SPACE : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
    if ((defined(&CONFIG_AP1000) ? &CONFIG_AP1000 : 0)) {
    }
}
1;
